PAR(1)

NAME
par - Quake pak archiving utility

SYNOPSIS
par -c | -l | -x [-fhtvV] archive [file list]

DESCRIPTION
Par is an archiving program which processes pak files used by Quake and QuakeII. A pak archive contains only the file names -- together with the path below id1 (QuakeI) and baseq2 (Quake2) -- and the file data. Neither access permissions nor time stamps are stored.

ACTIONS
One of the following actions must be specified:

-c  create a new archive

-l  list the contents of the specified archive

-x  extract files from the specified archive

OPTIONS

-f  Force some actions, suppress error messages

-h  Display some helpful information on stdout and exit successfully.

-t  the files to process are specified in the files given by file list

-v  be more talkative

-V  Display version and compilation info on stdout and exit successfully.

RETURN VALUE
On success, 0 is returned. On error, a value >0 is returned.

ERRORS

1   a program bug has seen the light

2   the error is different from those explained above

EXAMPLES
Extract map base1.bsp from pak0.pak:

par -xv pak0.pak maps/base1.bsp

Create a list with the names of all maps from in pak0.pak:

par -l pak0.pak | grep .bsp > list

Extract the files specified in list:

par -xvt pak0.pak list

Create a new archive from these maps:

par -cvt pak9.pak list

Replace pak0.pak by an empty archive :-)

par -cv pak0.pak

BUGS
Tell me!

AUTHOR
Steffen Solyga <solyga@absinth.net>

SEE ALSO
qstat(1)